#include <iostream>
using namespace std;
int main ()
{
   int n,d,k,sum=1;
   cin>>n>>d>>k;
   for( int i=1;k>0;i++)
   {
       sum=sum+(1+d)%n;
       d=d*i;
       k--;
   }
   cout<<sum;
    return 0;
}
